#include<bits/stdc++.h>
using namespace std;
int main()
{
	long long int mas[20001],n,k=0,max,up=0,down=0;
	cin>>n;
	cin>>mas[1];
	max=1;
	for(int i=2;i<=n;i++)
	{
		cin>>mas[i]; 
		if(mas[i]>=mas[max]) max=i;
		if(mas[i]>mas[i-1] and up<down)up+=(mas[i]-mas[i-1]);
		if(mas[i]<mas[i-1])down+=(mas[i-1]-mas[i]);
	}
	k+=mas[max];
	k+=min(up,down);
	cout<<k;
	
	return 0;
}
